
  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $cliente = $_GET["cliente"];
        $sql = mysql_query("select * from ventas where termino='Credito' and balance>0 and cliente='$cliente' AND estado!='Anulada'") or die(mysql_error());
	?>


    <div class="container">
      <ol class="breadcrumb">
  <li><a href="#">Clientes</a></li>
  <li><a href="#">Creditos</a></li>
   <li class="bold"><a href="#">Pago de facturas</a></li>
 
</ol>

        
		<div class="row">
  
			<div class="col-md-12">
      <div class="well">
      <span class="text-success h3"> <i class="fa fa-calendar"></i> Pagar factura</span>
        <br>
          <?php echo "<span class='h2  bolder text-danger' id='lb-cliente'>".$cliente."</span>"?>
        <hr>
				<a class="btn btn-default mb-2" href="creditos.php"><i class="fa fa-home"></i>Ir atras</a>
        <br><br>
    </div>
			  
        
        <div class="panel panel-success">
        <div class="panel-heading">
        
        <div class="row">
       

          <div class="col-md-10">
             <b>Efectivo: </b><input type="number" id="txt-pagado" class="form-control0" placeholder="DOP$: 0.00" style="width:100px;">
			 Cheque: <input type="number" id="txt-cheque" class="form-control0" placeholder="CHQ: 0.00" style="width:145px;">
			  N. Cheque: <input type="text" id="txt-numero_cheque" class="form-control0" placeholder="# Cheque" style="width:100px;">
			   Tarjeta: <input type="number" id="txt-tarjeta" class="form-control0" placeholder="" style="width:100px;">
			            <button class="text-primary"  onclick="grabar_pago()"><i class="fa fa-check"></i> Grabar pago</button>

		  </div>
      
        </div>
        
        </div>
          <div class="panel-body">
          <div class="table-responsive border p-3">
					<table class="table table-hover table-striped table-sm
" data-page-length='8' style="width: 100%">
						<thead>
							<th>Folio</th>
							<th>Fecha</th>
              <th>Cliente</th>
             
              <th>Monto</th>
              <th>balance</th>
              <th>Pagar</th>
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $folio = $r["folio"];
			  $id = $r["id_venta"];
              $c++;
              $total+=$r["total"];
              $balance+=$r["balance"];
              $costo+=$r["costo"];
              $ganancia+=$r["total"] - $costo;
             

              ?>
							<tr>
								<td><?php echo $r["folio"]?></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><?php echo $r["cliente"]?></td>
                 <td><?php echo decimal($r["total"])?></td>
                <td><?php echo decimal($r["balance"])?></td>
               
             
               <td><a class=""  href="pago_una.php?id_venta=<?php echo $id?>" ><i class="fa fa-edit"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <th>
                Cant. ventas: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

              <th>
                
              </th>

              <th class="text-success">
                
              </th>

              <th class="text-success">
                Balance general: <?php echo decimal($balance)?>
              </th>

            </tfoot>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>


          </div>
        </div>


        
				
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
///FOLIO///
var folio="";
  folio()
  function folio() {
    var sql = "select * from parametros"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          ///$("#txt-folio").val(rs.data[i].folio_ventas);
          folio = myUser+""+(rs.data[i].folio_ingreso);
          //lista(folio)
        }

      })
  }
  


var balance="<?php echo $balance?>";

$("#delete").hide();
id_producto="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
                    $("#stock").val(rs.data[i].stock);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                }
                
            })
        }
  
  function grabar_producto(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
     var precio = $("#precio").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
     var proveedor = $("#proveedor").val();




     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

function reimprimir(f){
   window.open('ticket_factura.php?folio='+f, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
  
}

$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});


var secuencia="";
  function grabar_pago(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        grabar_pago2();

      })
  }


function grabar_pago2(){
var monto = $("#txt-pagado").val();
var efectivo = $("#txt-pagado").val();
var cheque = $("#txt-cheque").val();
var tarjeta = $("#txt-tarjeta").val();
var numero_cheque = $("#txt-numero_cheque").val();


if(cheque==""){cheque=0;}
if(efectivo==""){efectivo=0;}
if(tarjeta==""){tarjeta=0;}
var total = parseFloat(efectivo) + parseFloat(cheque) + parseFloat(tarjeta);

if(total<=0){
  alert("Especifique efectivo o cheque!!!");
  return;
} 

if(cheque>0 && numero_cheque==""){
  alert("Especifique numero del cheque");
  return;
} 



if(parseFloat(balance)<parseFloat(monto)){
  alert("El balance es de: "+numeral(balance).format('0,0.00'));
  return;
}  
if(!confirm("Seguro(a) que desea registrar este pago de "+numeral(total).format('0,0.00')+"?")){return;}
var cliente = $("#lb-cliente").html();
var datos="cliente="+cliente;
    datos+="&monto="+total;
	datos+="&tarjeta="+tarjeta;
	datos+="&cheque="+cheque;
	datos+="&numero_cheque="+numero_cheque;
	datos+="&efectivo="+efectivo;
    datos+="&usuario="+myUser;
    datos+="&secuencia="+secuencia;
    

$.get("pagar.php?"+datos,function( data,tx ){
  if(tx=="success"){
   if(data=="1"){
    imprimir();
   }
  }else{
    alert(data);
  }
})

}

function imprimir(){

    var sql = "select * from ingresos where secuencia='" + secuencia + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("No hay pagos en este turno"); return;}
        var rs = JSON.parse(data);
        id = rs.data[0].id;
         window.open('../pos/recibo_ingreso.php?id=' + id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.reload()
		 })
	  })
  }


        </script>

